# Create a Hook

`POST /lokta-lms/api/v1/hooks`

Creates a hook that pushes platform events to another system.

## Request body (application/json)
- `config` (object)
- `displayName` (string)
- `events` (array of HookEventData)
- `isActive` (boolean)
- `name` (string)

## Responses
- `default`: default response

## Response fields
- `resourceId` (integer)

## Example request (cURL)
```bash
curl -X POST \
  'https://default.lokta.tech/lokta-lms/api/v1/hooks' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default' \
  -H 'Content-Type: application/json' \
  -d '{
  "config": {},
  "displayName": "string",
  "events": [
    {
      "actionName": "string",
      "entityName": "string"
    }
  ],
  "isActive": true,
  "name": "string"
}'
```

## Example response
```json
{
  "resourceId": 1
}
```

Interactive: https://developer.lokta.ai/reference#operation/createHook
